#include <qscrollview.h>
#include <qtimer.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qfocusdata.h>
#include "pcrproto.h"

class InfoLabel : public QLabel
{
  Q_OBJECT
public:
  InfoLabel(QWidget * parent=0, const char * name=0);

signals:
  void mouseDoubleClicked();

protected:
  void mouseDoubleClickEvent ( QMouseEvent * );
};


class InfoDisplay  : public QScrollView
{
  Q_OBJECT
public:
 InfoDisplay(QWidget * parent=0, const char * name=0);

 QString text();

signals:
 void editingMode( bool );

public slots:
 void infoUpdate(const char *);
 void setRunning( bool );
 void setSpeed( int );

private slots:
 void infoDoubleClickedSlot(); 
 void timeToScroll();


private:
 bool editing; 
 int speed; 
 InfoLabel *infoLine;
 QString info;
 QTimer *tictoc;
};

class AliasDisplay : public QLineEdit
{
  Q_OBJECT
public:
  AliasDisplay(QWidget * parent=0, const char * name=0);

signals:
  void setAlias(const char *);

public slots:
  void aliasUpdate(const char *);

protected:
  void mouseDoubleClickEvent ( QMouseEvent * );
 
private slots:
  void returnPressedSlot();

private:
  char alias[ALIASSIZE];
};


