#ifndef BARGRAPH_H_
#define BARGRAPH_H_

//
// BarGraph displays bandscope data
//

#include <qwidget.h>

class BarGraph : public QWidget
{
	Q_OBJECT

public:
	BarGraph( QWidget *parent=0, const char *name=0 );

public slots:
        void setData( const unsigned char *, unsigned char );
	void setZero();
	void setPause( bool );
	void scopeOnUpdate( bool );

signals:
	// user request freqency shift off centers
	void stepFreq( int );

protected:
	void paintEvent( QPaintEvent * );
	void mousePressEvent( QMouseEvent * ); 

private:
	bool active;
	unsigned char data[256];
	unsigned char nsamples;	
};

#endif // BARGRAPH_H_
