#ifndef _BMDATA_H
#define _BMDATA_H

////////////////////////////////////////
///////   Process channel database  ////
////////////////////////////////////////
#include <qfile.h>
#include <qfiledialog.h>
#include "pcrproto.h"

////////////////////////////////////////
////  Process individual channel ///////
////////////////////////////////////////
class BookmarkItem : public QListViewItem
{
public:
  BookmarkItem( QListView * parent );
  BookmarkItem( QListView * parent, BookmarkItem *after);
  BookmarkItem( QListViewItem *parent );
  BookmarkItem( QListViewItem *parent, BookmarkItem *after);

  bool isFolderBegin();
  void setIsFolderBegin( bool );
  void setBookmark( struct bookmark_t *, bool);
  void getBookmark( struct bookmark_t *);
  void paintCell( QPainter *, const QColorGroup &, int, int, int); 
  void paintFocus ( QPainter *, const QColorGroup & , const QRect & );

private:
  struct bookmark_t bm;
  bool   folderBegin;
  void   SetDefault();
  void   fillColumnText();
};




//////////////////////////////////////
////////  Process entire database ////
//////////////////////////////////////
class BookmarkData
{
public:
  BookmarkData();
  bool Load(QListView *);
  bool Save(QListView *);

private:
  QFile dataFile;
  QListView *bmList;

  bool ReadCycle(BookmarkItem *, int);
  bool WriteEntry(struct bookmark_t *);
  bool ReadEntry(struct bookmark_t *);
  bool WriteCycle();
};

#endif // _BMDATA_H

