#ifndef BMTREE_H_
#define BMTREE_H_

//////////////////////////
///  Channel Browser   ///
///  (Bookmark style   ///
//////////////////////////
#include <qdialog.h>
#include <qlistview.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qinputdialog.h>
#include <qmessagebox.h>

#include "pcrproto.h"
#include "bmdata.h"

class BookmarkTree : public QDialog
{
  Q_OBJECT

public:
  BookmarkTree(QWidget * parent=0, const char * name=0);

  QSize sizeHint () const;
signals:
 void gotoBookmark(struct bookmark_t *);
 void getBookmark(struct bookmark_t *);
 void toMonitor( struct bookmark_t *);

private slots:
 void DoubleClickedSlot(QListViewItem *);
 void SelectionChangedSlot(QListViewItem *);
 void LoadBookmarkSlot();
 void SaveBookmarkSlot();
 void AddChannelSlot();
 void MonitorChannelSlot();
 void ScriptChannelSlot();
 void FolderChannelSlot();
 void UpdateChannelSlot();
 void DeleteChannelSlot();

private:
 struct bookmark_t bm;

 BookmarkData *bmData;
 QListView    *bmList;
 QPushButton  *addButton;
 QPushButton  *monitorButton;
 QPushButton  *scriptButton;
 QPushButton  *folderButton;
 QPushButton  *updateButton;
 QPushButton  *deleteButton;
 QPushButton  *loadButton;
 QPushButton  *saveButton;
 QMultiLineEdit *info;
};
#endif // BMTREE_H_
