#ifndef QTPCR_H_
#define QTPCR_H_


//////////////////////////////
// QtPcr is the main window //
//////////////////////////////

#include <qwidget.h>
#include <qpushbutton.h>
#include <qmultilineedit.h>
#include <qtabdialog.h>

#include "pcrproxy.h"
#include "bargraph.h"
#include "freqdisplay.h"
#include "keypad.h"
#include "modectrl.h"
#include "filterdisplay.h"
#include "filterctrl.h"
#include "dial.h"
#include "bmtree.h"
#include "volctrl.h"
#include "squctrl.h"
#include "modedisplay.h"
#include "meter.h"
#include "aliasdisplay.h"
#include "scandialog.h"
#include "monitor.h"

class QtPcr : public QWidget
{
 Q_OBJECT

public:
	QtPcr( QWidget *parent=0, const char *name=0);
	~QtPcr();

protected slots:
 void powerOn( bool );
 void ChannelSlot( bool );
 void ScanSlot( bool ); 
 void editingModeSlot( bool );
 void EnableControl( bool );
 void EnableDisplay( bool );

private:
 // Radio controlers and displays 
 QPushButton    *power;
 QPushButton    *channelButton;
 QPushButton    *scanButton;
 PcrProxy       *pcr;
 BarGraph       *barGraph;
 FreqDisplay    *freqDisplay;
 KeyPad         *keyPad;
 ModeCtrl       *modeCtrl;
 ModeDisplay    *modeDisplay;
 FilterDisplay  *fltDisplay;
 FilterCtrl     *fltCtrl;
 Dial           *dialFreq;
 VolCtrl        *vol;
 SquCtrl        *squ;
 Meter	        *meter;	
 BookmarkTree   *bmtree;
 AliasDisplay   *aliasDisplay;
 InfoDisplay    *infoDisplay;
 QMultiLineEdit *infoEdit;
 ScanDialog     *scanDialog;
 MonitorDialog  *monitorDialog;
 QTabDialog     *channelDialog;
};

#endif // QTPCR_H_
